> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetodesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a comment

> Retrieves a specific comment for a ticket.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/comments.yaml GET /tickets/{ticket_id}/comments/{comment_id}
openapi: 3.0.3
info:
  title: NeetoDesk APIs
  version: 2.0.0
servers:
  - description: NeetoDesk APIs
    url: https://{your-subdomain}.neetodesk.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /tickets/{ticket_id}/comments/{comment_id}:
    get:
      summary: Get a comment
      description: Retrieves a specific comment for a ticket.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/ticket_id_param'
        - in: path
          name: comment_id
          required: true
          schema:
            type: string
          description: ID of the comment.
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  comment:
                    $ref: '#/components/schemas/Comment'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    ticket_id_param:
      in: path
      name: ticket_id
      description: >-
        ID of the ticket. You can use either the ticket ID (UUID) or ticket
        number (sequential number) interchangeably. Refer to [Getting Ticket
        ID](/getting-started/getting-ticket-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
  schemas:
    Comment:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00002222
        created_at:
          type: string
          format: date-time
        comment_type:
          type: string
          example: reply
        content:
          type: string
          example: We are looking into the issue and will update you shortly.
        author:
          $ref: '#/components/schemas/Author'
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                example: aaaabbbb-cccc-dddd-eeee-ffff00003333
              url:
                type: string
                example: https://example.com/attachments/screenshot.png
              filename:
                type: string
                example: screenshot.png
        mentions:
          type: array
          items:
            $ref: '#/components/schemas/Mention'
    Author:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00001111
        name:
          type: string
          example: Oliver Smith
        email:
          type: string
          example: oliver@example.com
        type:
          type: string
          example: user
    Mention:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00005555
        name:
          type: string
          example: Daniel Kuhlman
        email:
          type: string
          format: email
          example: daniel.kuhlman@example.com

````